--------------------------------
-- 文件名       ：  Voucher/Proto.lua
-- 文件说明     ：  代金券协议 处理
-- 创建时间     :   2024/12/16
-- 创建人       :   FC
--------------------------------

local voucherShopLogic = require("voucher.VoucherShopLogic")

local VoucherInvest = require("voucher.VoucherInvest")

-- 请求代金券商店信息
function CG_VOUCHER_QUERY_SHOP(human, msg)
    voucherShopLogic.VoucherShop_QueryShop(human)
end

-- 请求代金券膨胀信息
function CG_VOUCHER_QUERY_INFLATE(human, msg)
    voucherShopLogic.VoucherShop_QueryInflate(human)
end

-- 请求代金券购买商品
function CG_VOUCHER_BUY_ITEM(human, msg)
    voucherShopLogic.VoucherShop_BuyItem(human, msg.nBuyID, msg.nBuyNum)
end





function CG_VOUCHER_INVEST_QUERY(human, msg)
    VoucherInvest.VoucherInvest_Query(human)
end

function CG_VOUCHER_INVEST_GET(human, msg)
    VoucherInvest.VoucherInvest_Get(human)
end